AI Sync

Pipeline

Add Pipeline Stage

POSThttps://app.rizzdial.com/api/pipeline/{id}/stages
Add Pipeline Stage
curl --request POST \
  --url https://app.rizzdial.com/api/pipeline/MQ==/stages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "stage_name": "Follow up"
}'
{
  "data": {
    "id": "Mw==",
    "stage_name": "Follow up",
    "pipeline_id": "MQ=="
  },
  "message": "Stage added successfully.",
  "success": true
}

Add Pipeline Stage#

Adds a stage at the end of the pipeline. stage_name is required, max 255 characters.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 pipeline id

stage_namestringbodyrequired

Stage name. Max 255 characters

curl --request POST \
  --url https://app.rizzdial.com/api/pipeline/MQ==/stages \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"stage_name":"Follow up"}'
successboolean

true when the stage is added

messagestring

Stage added successfully.

dataobject

The new stage. id and pipeline_id are base64